IM_INSERT(3X)

NAME
im_insert - insert one image into another

SYNOPSIS
#include <vips/vips.h> int im_insert(in, ins, out, x, y)
IMAGE *in, *insub, *out;
int x, y;

DESCRIPTION
im_insert() inserts one image into another. ins is inserted into image in at position x, y relative to the top left hand corner of in. out is made large enough to hold all of both in and ins. Any areas of out not coming from either in or ins are set to black (binary 0). If ins overlaps in, ins will appear on top of in. Both images must have the same number of bands and the same BandFmt.

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_extract(3X), im_lrjoin(3X), im_lrmerge(3X)

COPYRIGHT
J. Cupitt,

AUTHOR
J. Cupitt - 11/04/1990